#!/usr/bin/env python

"""
========
setup.py
========

installs beditor

USAGE :
python setup.py install

Or for local installation:

python setup.py install --prefix=/your/local/dir

"""

import sys
try:
    from setuptools import setup, find_packages, Extension
except ImportError:
    from distutils.core import setup, find_packages, Extension
if (sys.version_info[0], sys.version_info[1]) != (3, 6):
    raise RuntimeError('Python 3.6 required ')

# main setup
setup(
name='super_beditor',
author='yangchunhe',
author_email='2393492851@qq.com',
version='1.2.0',
url='https://github.com/aiyangchunhe/super_beditor',
download_url='https://github.com/aiyangchunhe/super_beditor/archive/refs/heads/master.zip',
description='A computational workflow for designing libraries of guide RNAs for CRISPR base editing',
long_description='https://github.com/aiyangchunhe/super_beditor/blob/master/README.md',
keywords=['CRISPR','genome','biology'],
license='General Public License v. 3',
install_requires=['biopython==1.71',
                    'regex==2018.7.11',
                    'pandas == 0.23.3',
                    # 'pyyaml',
                    'numpy==1.21.0',
                    'matplotlib==2.2.2',
                    'pysam==0.14.1',
                    'requests==2.20.0',
                    'scipy==1.1.0',
                    'tqdm==4.23.4',
                    'seaborn==0.8.1',
                    # 'pyensembl==1.4.0',
                    'datacache==1.1.4',
                    'dna_features_viewer==0.1.9',
                    ],
platforms='any',
packages=find_packages(),
package_data={'': ['beditor/data']},
include_package_data=True,
entry_points={
    'console_scripts': ['beditor = beditor.pipeline:main',],
    },
)
